预约管理API
获取设施列表
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 项目ID |
| page_size | Integer | Body | 是 | 每页数量 |
| page_index | Integer | Body | 是 | 当前页数 |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | []Object<result> | Body | 返回结果 |
result说明
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| amenity_id | String | Body | 设施ID |
| amenity_name | String | Body | 设施名称 |
| amenity_description | String | Body | 设施描述 |
| amenity_picture_url | String | Body | 设施图片地址 |
| buildings | []Object<building> | Body | 楼栋信息 |
| devices | []Object<device> | Body | 设备信息 |
| enable | Boolean | Body | 判断是否启用设施 true:启用 false:禁用 |
| contact | String | Body | 联系人 |
| contact_information | String | Body | 联系方式 |
| start_time | String | Body | 开始时间,UTC |
| finish_time | String | Body | 结束时间,UTC |
| available_days | []String | Body | 可用时间 |
| maximum_duration | Integer | Body | 最大持续时间,单位:分钟 |
| maximum_advance | Integer | Body | 最大提前量,单位:天 |
| maximum_reservation | Integer | Body | 最大预约数 |
| maximum_password_count | Integer | Body | 最大密码次数 |
| require_approval | Boolean | Body | 判断是否需要审核 true:需要 false:不需要 |
building说明
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| building_id | String | Body | 楼栋ID |
| building_name | String | Body | 楼栋名称 |
device说明
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| device_id | String | Body | 设备ID |
| device_name | String | Body | 设备名称 |
请求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_amenity_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1,
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52"
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"amenity_id": "afa332e258aae1badbb27d31128f442dc",
"amenity_name": "Gym",
"amenity_description": "test",
"amenity_picture_url": "https://test.akubela.com/g",
"buildings": [
{
"building_id": "bafa332e258aae1badbb27d31128f442d",
"building_name": "001"
}
],
"devices": [
{
"device_id": "dwbdbbafa332e258aae1badbb27d31128",
"device_name": "device"
}
],
"enable": true,
"contact": "test",
"contact_information": "1234567",
"start_time": "13:14",
"finish_time": "15:14",
"available_days": [
"Monday",
"Tuesday",
"Wednesday",
"Thursday",
"Friday",
"Saturday",
"Sunday"
],
"maximum_duration": 30,
"maximum_advance": 1,
"maximum_reservation": 1,
"maximum_password_count": 20,
"require_approval": true
}
]
}
失败返回示例
见 接口失败返回
获取设施信息
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 项目ID |
| amenity_id | String | Body | 是 | 设施ID |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | Object<result> | Body | 返回结果 |
result说明
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| amenity_name | String | Body | 设施名称 |
| amenity_description | String | Body | 设施描述 |
| amenity_picture_url | String | Body | 设施图片地址 |
| buildings | []Object<building> | Body | 楼栋信息 |
| devices | []Object<device> | Body | 设备信息 |
| enable | Boolean | Body | 判断是否启用设施 true:启用 false:禁用 |
| contact | String | Body | 联系人 |
| contact_information | String | Body | 联系方式 |
| start_time | String | Body | 开始时间,UTC |
| finish_time | String | Body | 结束时间,UTC |
| available_days | []String | Body | 可用时间 |
| maximum_duration | Integer | Body | 最大持续时间,单位:分钟 |
| maximum_advance | Integer | Body | 最大提前量,单位:天 |
| maximum_reservation | Integer | Body | 最大预约数 |
| maximum_password_count | Integer | Body | 最大密码次数 |
| require_approval | Boolean | Body | 判断是否需要审核 true:需要 false:不需要 |
building说明
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| building_id | String | Body | 楼栋ID |
| building_name | String | Body | 楼栋名称 |
device说明
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| device_id | String | Body | 设备ID |
| device_name | String | Body | 设备名称 |
请求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_amenity_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"amenity_id": "afa332e258aae1badbb27d31128f442dc"
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"amenity_name": "Gym",
"amenity_description": "test",
"amenity_picture_url": "https://test.akubela.com/g",
"buildings": [
{
"building_id": "bafa332e258aae1badbb27d31128f442d",
"building_name": "001"
}
],
"devices": [
{
"device_id": "dwbdbbafa332e258aae1badbb27d31128",
"device_name": "device"
}
],
"enable": true,
"contact": "test",
"contact_information": "1234567",
"start_time": "13:14",
"finish_time": "15:14",
"available_days": [
"Monday",
"Tuesday",
"Wednesday",
"Thursday",
"Friday",
"Saturday",
"Sunday"
],
"maximum_duration": 30,
"maximum_advance": 1,
"maximum_reservation": 1,
"maximum_password_count": 20,
"require_approval": true
}
}
失败返回示例
见 接口失败返回
获取可创建设施列表
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 项目ID |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | []Object<result> | Body | 返回结果 |
result说明
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| buildings | []Object<building> | Body | 楼栋信息 |
| devices | []Object<device> | Body | 设备信息 |
building说明
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| building_id | String | Body | 楼栋ID |
| building_name | String | Body | 楼栋名称 |
device说明
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| device_id | String | Body | 设备ID |
| device_name | String | Body | 设备名称 |
请求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_creating_amenity_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52"
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"buildings": [
{
"building_id": "b8f39bda1a956435d96be126854c61318",
"building_name": "test"
}
],
"devices": [
{
"device_id": "db8f39bda1a956435d96be126854c6131",
"device_name": "device"
}
]
}
}
失败返回示例
见 接口失败返回
创建设施信息
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 项目ID |
| amenity_name | String | Body | 是 | 设施名称 |
| amenity_description | String | Body | 是 | 设施描述 |
| amenity_picture_url | String | Body | 是 | 设施图片地址 |
| buildings | []Object<building> | Body | 是 | 楼栋信息 |
| devices | []Object<device> | Body | 是 | 设备信息 |
| enable | Boolean | Body | 是 | 判断是否启用设施 true:启用 false:禁用 |
| contact | String | Body | 是 | 联系人 |
| contact_information | String | Body | 是 | 联系方式 |
| start_time | String | Body | 是 | 开始时间,UTC |
| finish_time | String | Body | 是 | 结束时间,UTC |
| available_days | []String | Body | 是 | 可用时间 |
| maximum_duration | Integer | Body | 是 | 最大持续时间,单位:分钟 |
| maximum_advance | Integer | Body | 是 | 最大提前量,单位:天 |
| maximum_reservation | Integer | Body | 是 | 最大预约数 |
| maximum_password_count | Integer | Body | 是 | 最大密码次数 |
| require_approval | Boolean | Body | 是 | 判断是否需要审核 true:需要 false:不需要 |
building说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| building_id | String | Body | 是 | 楼栋ID |
device说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| device_id | String | Body | 是 | 设备ID |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | Object<result> | Body | 返回结果 |
result说明
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| amenity_id | String | Body | 设施ID |
请求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "create_amenity_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa51",
"amenity_name": "Gym",
"amenity_description": "test",
"amenity_picture_url": "https://test.akubela.com/g",
"buildings": [
{
"building_id": "bafa332e258aae1badbb27d31128f442d"
}
],
"devices": [
{
"device_id": "dwbdbbafa332e258aae1badbb27d31128"
}
],
"enable": true,
"contact": "test",
"contact_information": "1234567",
"start_time": "13:14",
"finish_time": "15:14",
"available_days": [
"Monday",
"Tuesday",
"Wednesday",
"Thursday",
"Friday",
"Saturday",
"Sunday"
],
"maximum_duration": 30,
"maximum_advance": 1,
"maximum_reservation": 1,
"maximum_password_count": 20,
"require_approval": true
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"amenity_id": "abafa332e258aae1badbb27d31128f442"
}
}
失败返回示例
见 接口失败返回
更新设施信息
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 项目ID |
| amenity_id | String | Body | 是 | 设施ID |
| amenity_name | String | Body | 是 | 设施名称 |
| amenity_description | String | Body | 是 | 设施描述 |
| amenity_picture_url | String | Body | 是 | 设施图片地址 |
| buildings | []Object<building> | Body | 是 | 楼栋信息 |
| devices | []Object<device> | Body | 是 | 设备信息 |
| enable | Boolean | Body | 是 | 判断是否启用设施 true:启用 false:禁用 |
| contact | String | Body | 是 | 联系人 |
| contact_information | String | Body | 是 | 联系方式 |
| start_time | String | Body | 是 | 开始时间,UTC |
| finish_time | String | Body | 是 | 结束时间,UTC |
| available_days | []String | Body | 是 | 可用时间 |
| maximum_duration | Integer | Body | 是 | 最大持续时间,单位:分钟 |
| maximum_advance | Integer | Body | 是 | 最大提前量,单位:天 |
| maximum_reservation | Integer | Body | 是 | 最大预约数 |
| maximum_password_count | Integer | Body | 是 | 最大密码次数 |
| require_approval | Boolean | Body | 是 | 判断是否需要审核 true:需要 false:不需要 |
building说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| building_id | String | Body | 是 | 楼栋ID |
device说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| device_id | String | Body | 是 | 设备ID |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | Object | Body | 返回结果 |
请求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "update_amenity_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa51",
"amenity_id": "abafa332e258aae1badbb27d31128f442",
"amenity_name": "Gym",
"amenity_description": "test",
"amenity_picture_url": "https://test.akubela.com/g",
"buildings": [
{
"building_id": "bafa332e258aae1badbb27d31128f442d"
}
],
"devices": [
{
"device_id": "dwbdbbafa332e258aae1badbb27d31128"
}
],
"enable": true,
"contact": "test",
"contact_information": "1234567",
"start_time": "13:14",
"finish_time": "15:14",
"available_days": [
"Monday",
"Tuesday",
"Wednesday",
"Thursday",
"Friday",
"Saturday",
"Sunday"
],
"maximum_duration": 30,
"maximum_advance": 1,
"maximum_reservation": 1,
"maximum_password_count": 20,
"require_approval": true
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
失败返回示例
见 接口失败返回
删除设施信息
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 项目ID |
| amenity_id | String | Body | 是 | 设施ID |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | Object | Body | 返回结果 |
请求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "delete_amenity_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"amenity_id": "a8b5a73f8dd84abaa94dcs248be49b0d1"
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
失败返回示例
见 接口失败返回
批量删除设施信息
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 项目ID |
| amenities | []Object<amenity> | Body | 是 | 设施信息 |
amenity说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| amenity_id | String | Body | 是 | 设施ID |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | Object | Body | 返回结果 |
请求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "batch_delete_amenity_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"amenities": [
{
"amenity_id": "a8b5a73f8dd84abaa94dcs248be49b0d1"
}
]
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
失败返回示例
见 接口失败返回
启用设施
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 项目ID |
| amenity_id | String | Body | 是 | 设施ID |
| enable | Boolean | Body | 是 | 判断是否启用设施 true:启用 false:禁用 |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | Object | Body | 返回结果 |
请求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "enable_amenity",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa51",
"amenity_id": "afa332e258aae1badbb27d31128f442dc",
"enable": true
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
失败返回示例
见 接口失败返回
获取预约列表
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 项目ID |
| page_size | Integer | Body | 是 | 每页数量 |
| page_index | Integer | Body | 是 | 当前页数 |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | []Object<result> | Body | 返回结果 |
result说明
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| residence_id | String | Body | 住宅ID |
| booking_id | String | Body | 预约ID |
| amenity_id | String | Body | 设施ID |
| amenity_name | String | Body | 设施名称 |
| amenity_description | String | Body | 设施描述 |
| amenity_picture_url | String | Body | 设施图片地址 |
| building_name | String | Body | 楼栋名称 |
| family_name | String | Body | 家庭名称 |
| residence_no | String | Body | 住宅号码 |
| start_time | String | Body | 开始时间,UTC |
| finish_time | String | Body | 结束时间,UTC |
| state | String | Body | 状态 pending:待审核 rejected:已拒绝 canceled:已取消 success:成功 |
| is_expired | Boolean | Body | 判断预约是否过期 true:已过期 false:未过期 |
| pin_code | String | Body | PIN码 |
| qr_code_url | String | Body | 二维码地址 |
| created_time | String | Body | 创建时间,UTC |
| account_id | String | Body | 账号ID |
| account_name | String | Body | 账号名称 |
| first_name | String | Body | 名 |
| last_name | String | Body | 姓 |
| String | Body | 邮箱 | |
| phone | String | Body | 电话 |
请求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_booking_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1,
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52"
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"residence_id": "rm31adc223cc4b3bedb6bd4742dedcfa5",
"booking_id": "bfa332e258aae1badbb27d31128f442d1",
"amenity_id": "afa332e258aae1badbb27d31128f442dc",
"amenity_name": "Gym",
"amenity_description": "test",
"amenity_picture_url": "https://test.akubela.com/g",
"building_name": "001",
"family_name": "home",
"residence_no": "505",
"start_time": "2024-05-02 13:14:15",
"finish_time": "2024-05-02 15:14:15",
"state": "pending",
"is_expired": true,
"pin_code": "123456",
"qr_code_url": "https://test.akubela.com/h.png",
"created_time": "2024-05-01 13:32:45",
"account_id": "arm31adc223cc4b3bedb6bd4742dedcfa",
"account_name": "test@akubela.com",
"first_name": "clay",
"last_name": "sagan",
"email": "test@akubela.com",
"phone": "1234567"
}
]
}
失败返回示例
见 接口失败返回
获取预约信息
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 项目ID |
| booking_id | String | Body | 是 | 预约ID |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | Object<result> | Body | 返回结果 |
result说明
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| residence_id | String | Body | 住宅ID |
| amenity_id | String | Body | 设施ID |
| amenity_name | String | Body | 设施名称 |
| amenity_description | String | Body | 设施描述 |
| amenity_picture_url | String | Body | 设施图片地址 |
| building_name | String | Body | 楼栋名称 |
| family_name | String | Body | 家庭名称 |
| residence_no | String | Body | 住宅号码 |
| start_time | String | Body | 开始时间,UTC |
| finish_time | String | Body | 结束时间,UTC |
| state | String | Body | 状态 pending:待审核 rejected:已拒绝 canceled:已取消 success:成功 |
| is_expired | Boolean | Body | 判断预约是否过期 true:已过期 false:未过期 |
| pin_code | String | Body | PIN码 |
| qr_code_url | String | Body | 二维码地址 |
| created_time | String | Body | 创建时间,UTC |
| account_id | String | Body | 账号ID |
| account_name | String | Body | 账号名称 |
| first_name | String | Body | 名 |
| last_name | String | Body | 姓 |
| String | Body | 邮箱 | |
| phone | String | Body | 电话 |
请求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_booking_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"booking_id": "b31adc223cc4b3bedb6bd4742dedcfa52"
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"residence_id": "rm31adc223cc4b3bedb6bd4742dedcfa5",
"amenity_id": "afa332e258aae1badbb27d31128f442dc",
"amenity_name": "Gym",
"amenity_description": "test",
"amenity_picture_url": "https://test.akubela.com/g",
"building_name": "001",
"family_name": "home",
"residence_no": "505",
"start_time": "2024-05-02 13:14:15",
"finish_time": "2024-05-02 15:14:15",
"state": "pending",
"is_expired": true,
"pin_code": "123456",
"qr_code_url": "https://test.akubela.com/h.png",
"created_time": "2024-05-01 13:32:45",
"account_id": "arm31adc223cc4b3bedb6bd4742dedcfa",
"account_name": "test@akubela.com",
"first_name": "clay",
"last_name": "sagan",
"email": "test@akubela.com",
"phone": "1234567"
}
}
失败返回示例
见 接口失败返回
更新预约信息
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 项目ID |
| booking_id | String | Body | 是 | 预约ID |
| state | String | Body | 是 | 状态 rejected:已拒绝 success:成功 |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | Object | Body | 返回结果 |
请求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "update_booking_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa51",
"booking_id": "bfa332e258aae1badbb27d31128f442dc",
"state": "rejected"
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
失败返回示例
见 接口失败返回
删除预约信息
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 项目ID |
| booking_id | String | Body | 是 | 预约ID |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | Object | Body | 返回结果 |
请求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "delete_booking_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"booking_id": "b8b5a73f8dd84abaa94dcs248be49b0d1"
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
失败返回示例
见 接口失败返回
批量删除预约信息
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 项目ID |
| bookings | []Object<booking> | Body | 是 | 预约信息 |
booking说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| booking_id | String | Body | 是 | 预约ID |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | Object | Body | 返回结果 |
请求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "batch_delete_booking_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"bookings": [
{
"booking_id": "b8b5a73f8dd84abaa94dcs248be49b0d1"
}
]
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
失败返回示例
见 接口失败返回